Bug 123994 - Missing modules cause installation to fail
Missing modules cause installation to fail
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-22 12:47 EDT by Zenon Panoussis
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-07 14:06:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zenon Panoussis 2004-05-22 12:47:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040126

Description of problem:
See bug #123982 for the premises and the preceding problem. 

On a machine where /etc/modeprobe.conf contained the lines 
 alias ieee1394_controller ohci1394
 alias scsi_hostadapter sbp2
the system became unbootable after an upgrade from FC2beta3 to FC2. 

A series of problems combined to cause this:
- The modules in question are not part of the shipping kernel.
- Not finding the modules, the kernel %post script failed and 
  exited without finishing the kernel installation (no initrd 
  and no grub/menu.lst modification).
- Anaconda did not catch the error and removed (or had already 
  removed) the previous kernel. 

Commenting out the offending lines in modeprobe.conf and trying to
reinstall the kernel from a rescue environment failed as well. Only
when the two lines were completely deleted from modeprobe.conf did the
 kernel installation succeed. 


Version-Release number of selected component (if applicable):
2.6.5-1.358 and several earlier

How reproducible:
Always

Steps to Reproduce:
1. Install drivers that are not part of the shipping kernel.
2. Try to upgrade the system.

    

Actual Results:  Useless system.


Expected Results:  A system that can boot:

The kernel %post script should ignore modules that it can't find and
it should create an initrd with the rest, rather than just fail. 

The kernel %post script should ignore comments in modeprobe.conf. 

Anaconda should be smarter than to just accept a kernel installation
failure and deliver an unbootable system. 

The ohci1394 and sbp2 modules should be part of the shipping kernel
too, now that a kazillion other yet less common drivers are. These two
are part of the source anyway, so why not build them? 


Additional info:

Note that this will happen with *any* non-default drivers, not only
with the ones that happened to be on this system. 

If I'm not completely mistaken, the kernel %post problem affects RHEL too.
Comment 1 Zenon Panoussis 2004-05-22 20:37:49 EDT
Of course, where I say "the kernel %post script should", I should
really say "mkinitrd should". The problem cascades all the way down...
Comment 2 Jeremy Katz 2004-08-02 18:08:42 EDT
Put something in CVS that should help here, although I'm not convinced
I fully like it.
Comment 3 Matthew Miller 2006-07-07 14:06:49 EDT
Marking resolved as per comment #2. Assuming that Jeremy eventually came to
like, perhaps even love, his fix.

Note You need to log in before you can comment on or make changes to this bug.